## ansifilter 2.18%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    BOOTSTRAP_PARALLEL = --parallel=$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all all-gui

override_dh_auto_install:
	dh_auto_install --destdir debian/ansifilter -- install
	DESTDIR=debian/ansifilter-gui PREFIX=/usr $(MAKE) install-gui

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/qt-gui/Makefile src/qt-gui/moc_predefs.h src/qt-gui/qrc_ansifilter.cpp

.PHONY: override_dh_auto_build
