## ansifilter 2.18+dfsg1

=== debian/changelog ===
ansifilter (2.18+dfsg1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture qmake. (Closes: #-1)

  [ Sebastian Humenda ]
  * fix clean rule for auto-generated files
  * bump standards version

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 06 Feb 2023 15:20:55 +0100

ansifilter (2.18+dfsg1-1) unstable; urgency=medium

  * Initial version (Closes: #603339)

 -- Sebastian Humenda <shumenda@gmx.de>  Fri, 15 Oct 2021 11:25:18 +0200
