=== debian/control ===
Source: ansifilter
Section: devel
Priority: optional
Maintainer: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper-compat (= 13), qt5-qmake, qtbase5-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/humenda-guest/ansifilter.git
Vcs-Browser: https://salsa.debian.org/humenda-guest/ansifilter
Homepage: http://andre-simon.de/doku/ansifilter/en/ansifilter.php

Package: ansifilter
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parse common (terminal) ANSI codes and remove or convert them
 ANSI codes are commands embedded in a text stream to add formatting
 instructions into text. These codes are interpreted by terminal emulators like
 xterm or Putty.
 .
 ANSIFilter parses common ANSI codes to remove them or to convert them to
 another colored text file format (HTML, TeX, LaTeX, RTF, Pango or BBCode).
 Support for ANSI art files (based on codepage 437 and ANSI.SYS sequences or BIN
 /XBIN/TND files) is enabled with the --art-cp437, --art-bin and --art-tundra
 options.

Package: ansifilter-gui
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parse common (terminal) ANSI codes and remove or convert them (GUI)
 ANSI codes are commands embedded in a text stream to add formatting
 instructions into text. These codes are interpreted by terminal emulators like
 xterm or Putty.
 .
 ANSIFilter parses common ANSI codes to remove them or to convert them to
 another colored text file format (HTML, TeX, LaTeX, RTF, Pango or BBCode).
 Support for ANSI art files (based on codepage 437 and ANSI.SYS sequences or BIN
 /XBIN/TND files) is enabled with the --art-cp437, --art-bin and --art-tundra
 options.
 .
 This package provides a GUI application.
