=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/buildtools.mk
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -9,7 +11,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- all all-gui
+	dh_auto_build -- all all-gui QMAKE=$(QMAKE)
 
 override_dh_auto_install:
 	dh_auto_install --destdir debian/ansifilter -- install
@@ -18,5 +20,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f src/qt-gui/Makefile src/qt-gui/moc_predefs.h src/qt-gui/qrc_ansifilter.cpp
+	rm -f src/qt-gui/moc_mydialog.cpp
+	rm -f src/qt-gui/ui_ansifilter.h
 
 .PHONY: override_dh_auto_build
