## ansifilter 2.20+repack1

=== debian/changelog ===
ansifilter (2.20+repack1-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 20 Mar 2024 16:07:33 +0100
