## ansifilter 2.21

=== debian/changelog ===
ansifilter (2.21-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 20 Feb 2025 22:34:42 +0100
