=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastian Humenda <shumenda@gmx.de>
 Build-Depends: debhelper-compat (= 13), qt5-qmake, qtbase5-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/humenda-guest/ansifilter.git
 Vcs-Browser: https://salsa.debian.org/humenda-guest/ansifilter
 Homepage: http://andre-simon.de/doku/ansifilter/en/ansifilter.php
